# Class CIM_MemberPrincipal
extends CIM_MemberOfCollection

CIM_MemberPrincipal is an aggregation used to establish membership of principals (i.e., users) in a Collection. That membership can be established either directly or indirectly as indicated in the UsersAccessBy property. For example, a user may be identified directly by their userid (i.e., Account object instance) or the user may be identified indirectly by realm from which a ticket was issued (i.e., CredentialManagementService object instance). This association is deprecated in lieu of its superclass. Usage feedback on the class has indicated confusion regarding defining the members of the collection. Also, the UsersAccess aspects of this association have been deprecated.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_MemberOfCollection
|
+--CIM_MemberPrincipal

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Aggregation | boolean | true
Association | boolean | true
Deprecated | string | CIM_MemberOfCollection

Description

string

CIM_MemberPrincipal is an aggregation used to establish membership of principals (i.e., users) in a Collection. That membership can be established either directly or indirectly as indicated in the UsersAccessBy property. For example, a user may be identified directly by their userid (i.e., Account object instance) or the user may be identified indirectly by realm from which a ticket was issued (i.e., CredentialManagementService object instance). This association is deprecated in lieu of its superclass. Usage feedback on the class has indicated confusion regarding defining the members of the collection. Also, the UsersAccess aspects of this association have been deprecated.

UMLPackagePath | string | CIM::User::Org
Version | string | 2.8.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
UserAccessBy | uint16 |
Deprecated | string | No value

Description

string

A MemberPrincipal may be identifed in several ways that may be either direct or indirect membership in the collection. -A 'UsersAccess' membership directly identifies the user by the UsersAccess object instance. - An 'Account' membership directly identifies the user by the Account object class instance. - A 'UsingElement' membership indirectly identifies the user by the ManagedElement object instance that has ElementAsUser associations to UsersAccess object instances. Hence, all UsersAccess instances are indirectly included in the collection.

ValueMap | string | 1, 2, 3, 4
Values | string | UsersAccess, Account, UsingElement, CredentialManagementService

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Collection | CIM_MemberPrincipal | CIM_Collection
Member | CIM_MemberPrincipal | CIM_ManagedElement

## Class Methods